import { createSlice } from '@reduxjs/toolkit';

const notificationSlice = createSlice({
    name: 'notification',
    initialState: null, // type(success/primary/warning/danger), message, duration
    reducers: {
        showNotification: (state, action) => action.payload,
        hideNotification: () => null,
    },
});

export const { showNotification, hideNotification } = notificationSlice.actions;
const notificationReducer = notificationSlice.reducer;
export default notificationReducer;
